com.dlsc.flexgantt.policy

## Enum PolicyProviderEvent.ID

- java.lang.Object
- - java.lang.Enum<PolicyProviderEvent.ID>
  - - com.dlsc.flexgantt.policy.PolicyProviderEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<PolicyProviderEvent.ID>
  Enclosing class:
    PolicyProviderEvent

      public static enum PolicyProviderEvent.ID
      extends Enum<PolicyProviderEvent.ID>

  An event identifier used to distinguish between different types of events that can take place inside a policy provider.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POLICY_IMPLEMENTATION_CHANGED` An identifier used to express that the implementation of a policy has been replaced with a new / different one.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PolicyProviderEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PolicyProviderEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POLICY_IMPLEMENTATION_CHANGED

          public static final PolicyProviderEvent.ID POLICY_IMPLEMENTATION_CHANGED

      An identifier used to express that the implementation of a policy has been replaced with a new / different one.
      Since:
        1.0
      See Also:
        `IPolicyProvider.setPolicy(Class, IPolicy)`

  - ### Method Detail

    - #### values

          public static PolicyProviderEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PolicyProviderEvent.ID c : PolicyProviderEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PolicyProviderEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.